Subject: Re: minor interactive rebase regression: HEAD points to wrong commit while rewording

From: SZEDER Gábor <[email-masked]>
Date: Wed, 14 Aug 2019 23:40:48 +0200

On Wed, Aug 14, 2019 at 10:45:22PM +0200, Johannes Schindelin wrote:
> However, I am reluctant to accept the performance impact: in the long
> run, I would love to have an interactive rebase that actually only
> updates `HEAD` (and the worktree) when interrupting the rebase (via
> `break` or `edit`), and `reword` does not qualify for "interrupting" in
> my mind.

It's crucial that users can look at the files in the currently
reworded commit while it is being reworded.